#pragma once
#include <mpg123.h>


/**
 * the audio Server.
 * Read and broadcast audio data.
 */
class Server {
public:
    explicit Server();
    ~Server();

    /**
     * Indefinitely read and broadcast audio data.
     */
    void loop() const;

private:
    mpg123_handle* mpgHandle;

    long sampleRate;
    int channels;
    int encoding;
};
